import React, { useEffect, useState } from "react";
import {
  Button,
  Card,
  Descriptions
} from "antd";
import {
  array, array2, array3
} from "@/utils/company";

export default (props) => {
  const { list, classification } = props;
  return (
    <Card>
      <Descriptions layout="vertical" bordered={true}>
        <Descriptions.Item label="企业类型">{array[list?.companyType]}</Descriptions.Item>
        <Descriptions.Item label="商业登记号">{list?.businessRegistrationNum}</Descriptions.Item>
        <Descriptions.Item label="公司注册证书">{classification(list?.certificateIncorporation)}</Descriptions.Item>
        <Descriptions.Item label="公司商业登记证">{classification(list?.companyBusinessRegistration)}</Descriptions.Item>
        <Descriptions.Item label="nnc1/最新nar1">{classification(list?.nnc1Nar1)}</Descriptions.Item>
        <Descriptions.Item label="其他附件">{classification(list?.otherAnnex)}</Descriptions.Item>

        <Descriptions.Item label="注册-国家">{list?.registerCountry}</Descriptions.Item>
        <Descriptions.Item label="注册-省/地区">{list?.registerProvinceRegion}</Descriptions.Item>
        <Descriptions.Item label="注册-市">{list?.registerCity}</Descriptions.Item>
        <Descriptions.Item label="注册-具体地址">{list?.registerSpecificAddress}</Descriptions.Item>
        <Descriptions.Item label="注册-邮政编码">{list?.registerPostalCode}</Descriptions.Item>
        <Descriptions.Item label="实际-国家">{list?.realityCountry}</Descriptions.Item>
        <Descriptions.Item label="实际-省/地区">{list?.realityProvinceRegion}</Descriptions.Item>

        <Descriptions.Item label="实际-市">{list?.realityCity}</Descriptions.Item>
        <Descriptions.Item label="实际-具体地址">{list?.realitySpecificAddress}</Descriptions.Item>
        <Descriptions.Item label="实际-邮政编码">{list?.realityPostalCode}</Descriptions.Item>
        <Descriptions.Item label="雇员人数">{array2[list?.numEmployees]}</Descriptions.Item>
        <Descriptions.Item label="雇员人数">{array3[list?.businessPremisesType]}</Descriptions.Item>

      </Descriptions>
    </Card>
  )
}