import React, { useEffect, useState } from "react";
import {
  Button,
  Card,
  Descriptions
} from "antd";

export default (props) => {
  const { list, classification } = props;
  return (
    list?.map((item, index) => (
      <Card style={{ marginBottom: '24px' }}>
        <Descriptions title={`信息${index + 1}`} layout="vertical" bordered={true}>
          <Descriptions.Item label="您的身份为">
            {item?.identity == 'conpanyDirector' ? '企业董事' : '授权人'}
          </Descriptions.Item>
          <Descriptions.Item label="企业董事国家">{item?.directorCountry}</Descriptions.Item>
          <Descriptions.Item label="企业董事证件类型">{item?.directorIdType}</Descriptions.Item>

          <Descriptions.Item label="企业董事证件正面">
            {classification(item?.directorIdFront)}
          </Descriptions.Item>
          <Descriptions.Item label="企业董事证件反面">
            {classification(item?.directorIdBack)}
          </Descriptions.Item>
          <Descriptions.Item label="董事中文名">{item?.directorNameCn}</Descriptions.Item>
          <Descriptions.Item label="董事证件号码">{item?.directorIdNo}</Descriptions.Item>

        </Descriptions>
      </Card>
    ))
  )
}